const { PG_HOST, PG_PORT, PG_USERNAME, PG_PASSWORD, PG_DATABASE } = process.env;

module.exports = {
    type: 'postgres',
    host: PG_HOST || '127.0.0.1',
    port: parseInt(PG_PORT || '5432', 10),
    username: PG_USERNAME,
    password: PG_PASSWORD,
    database: PG_DATABASE,
    entities: ['dist/src/**/*.entity.js'],
    migrations: ['dist/migration/*.js'],
    cli: {
        migrationsDir: 'migration',
    },
};
