import { Field, ID, InputType } from '@nestjs/graphql';

@InputType()
export class NewItemInput {
  @Field((type) => ID, { nullable: true })
  id?: string;

  @Field()
  name: string;

  @Field({ nullable: true })
  notes?: string;

  @Field((type) => ID, { nullable: true })
  parent?: number;
}
